TlbConst (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM.tlb.imp, interface: TlbConst

Package com.sun.jna.platform.win32.COM.tlb.imp

# Interface TlbConst

All Known Implementing Classes:
  `TlbCmdlineArgs`, `TlbImp`

public interface TlbConst

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINDING_MODE_DISPID`
  `static final String`
  `BINDING_MODE_VTABLE`
  `static final String`
  `CMD_ARG_BINDING_MODE`
  `static final String`
  `CMD_ARG_OUTPUT_DIR`
  `static final String`
  `CMD_ARG_TYPELIB_FILE`
  `static final String`
  `CMD_ARG_TYPELIB_ID`
  `static final String`
  `CMD_ARG_TYPELIB_MAJOR_VERSION`
  `static final String`
  `CMD_ARG_TYPELIB_MINOR_VERSION`
  `static final String`
  `CR`
  `static final String`
  `CRCR`
  `static final String`
  `TYPELIB_ID_OFFICE`
  `static final String`
  `TYPELIB_ID_SHELL`
  `static final String`
  `TYPELIB_ID_WORD`
  `static final String`
  `TYPELIB_MAJOR_VERSION_OFFICE`
  `static final String`
  `TYPELIB_MAJOR_VERSION_SHELL`
  `static final String`
  `TYPELIB_MAJOR_VERSION_WORD`
  `static final String`
  `TYPELIB_MINOR_VERSION_OFFICE`
  `static final String`
  `TYPELIB_MINOR_VERSION_SHELL`
  `static final String`
  `TYPELIB_MINOR_VERSION_WORD`

- ## Field Details

  - ### CR

    static final String CR
    See Also:
      - Constant Field Values

  - ### CRCR

    static final String CRCR
    See Also:
      - Constant Field Values

  - ### TYPELIB_ID_SHELL

    static final String TYPELIB_ID_SHELL
    See Also:
      - Constant Field Values

  - ### TYPELIB_MAJOR_VERSION_SHELL

    static final String TYPELIB_MAJOR_VERSION_SHELL
    See Also:
      - Constant Field Values

  - ### TYPELIB_MINOR_VERSION_SHELL

    static final String TYPELIB_MINOR_VERSION_SHELL
    See Also:
      - Constant Field Values

  - ### TYPELIB_ID_WORD

    static final String TYPELIB_ID_WORD
    See Also:
      - Constant Field Values

  - ### TYPELIB_MAJOR_VERSION_WORD

    static final String TYPELIB_MAJOR_VERSION_WORD
    See Also:
      - Constant Field Values

  - ### TYPELIB_MINOR_VERSION_WORD

    static final String TYPELIB_MINOR_VERSION_WORD
    See Also:
      - Constant Field Values

  - ### TYPELIB_ID_OFFICE

    static final String TYPELIB_ID_OFFICE
    See Also:
      - Constant Field Values

  - ### TYPELIB_MAJOR_VERSION_OFFICE

    static final String TYPELIB_MAJOR_VERSION_OFFICE
    See Also:
      - Constant Field Values

  - ### TYPELIB_MINOR_VERSION_OFFICE

    static final String TYPELIB_MINOR_VERSION_OFFICE
    See Also:
      - Constant Field Values

  - ### CMD_ARG_TYPELIB_ID

    static final String CMD_ARG_TYPELIB_ID
    See Also:
      - Constant Field Values

  - ### CMD_ARG_BINDING_MODE

    static final String CMD_ARG_BINDING_MODE
    See Also:
      - Constant Field Values

  - ### BINDING_MODE_VTABLE

    static final String BINDING_MODE_VTABLE
    See Also:
      - Constant Field Values

  - ### BINDING_MODE_DISPID

    static final String BINDING_MODE_DISPID
    See Also:
      - Constant Field Values

  - ### CMD_ARG_TYPELIB_MAJOR_VERSION

    static final String CMD_ARG_TYPELIB_MAJOR_VERSION
    See Also:
      - Constant Field Values

  - ### CMD_ARG_TYPELIB_MINOR_VERSION

    static final String CMD_ARG_TYPELIB_MINOR_VERSION
    See Also:
      - Constant Field Values

  - ### CMD_ARG_TYPELIB_FILE

    static final String CMD_ARG_TYPELIB_FILE
    See Also:
      - Constant Field Values

  - ### CMD_ARG_OUTPUT_DIR

    static final String CMD_ARG_OUTPUT_DIR
    See Also:
      - Constant Field Values